\version "2.19.40"

\language "italiano"

\header {
  composer = "Luis De Pablo"
  copyright = \markup \left-column \fontsize #-2  {
    \column {
      \line { Proprietà per tutti i Paesi della \bold SUGARMUSIC S.p.A. \normalsize - Milano. Galleria del Corso, 4}
      \line {Copyright © 2015 by \bold SUGARMUSIC S.p.A. \normalsize - Milano}
      \line {Tutti i diritti riservati a termine di legge. - All Rights reserved. International Copyright secured.}
    }
  }
  title = "El Abrecartas"
  subtitle = "Ópera en un prólogo y seis escenas"
  subsubtitle = "Libreto de Vicente Molina-Foix basado en su novela homónima"
  tagline = ##f
}

%{
\layout {
  \context {
    \Staff
    \RemoveAllEmptyStaves
  }
}
%}

% #(set-global-staff-size 15.5582514567) vedere per altezza pentagramma

\paper {
  paper-width = 23.99\cm
  paper-height = 32.02\cm
  top-margin = 0.98\cm
  bottom-margin = 2.\cm
  left-margin = 2\cm
  right-margin = 1.5\cm
  %indent = 2.5\cm
  %short-indent = 2\cm
  % ragged-last-bottom = 1.\cm
  #(define fonts(make-pango-font-tree "Optima"
                  "Optima"
                  "Optima"
                  (/ staff-height pt 20)))
  markup-system-spacing = 1.5\cm

  %{ controllare
between-system-space = 2.3\cm
page-top-space = 1.3\cm
  %}
}

\include "scoreSources//ElAbrecartas_fun.ily"
\include "scoreSources//ElAbrecartas_dynamics.ily"

\include "scoreSources//El_abrecartas_PfRH.ly"
\include "scoreSources//El_abrecartas_PfLH.ly"
\include "scoreSources//El_abrecartas_TempoMarks.ly"
\include "scoreSources//El_abrecartas_PfOssia.ly"
\include "scoreSources/El_abrecartas_CoroInfantil.ly"

LHossia = { \RHossia }

% coro infantil
CoroInfantil = \new ChoirStaff \with
{
  instrumentName =  \markup { \bold "Coro Infantil" }
  shortInstrumentName =  \markup {\bold "Coro Inf." }
}
<<
  \new GrandStaff \with {instrumentName = "solistas" }
  <<
    \new Staff \with {
      \accidentalStyle neo-modern
      \numericTimeSignature
      instrumentName = "Lorca (S)"
      shortInstrumentName = "Lorca"
      \consists "Ambitus_engraver"
    } {\Lorca}
    \addlyrics {\LorcaVerse}

    \new Staff \with {
      \accidentalStyle neo-modern
      \numericTimeSignature
      instrumentName = "Rafica (C)"
      shortInstrumentName = "Rafica"
      \consists "Ambitus_engraver"
    } {\Rafica}
    \addlyrics {\RaficaVerse}

  >>

  \new Staff \with {
    \accidentalStyle neo-modern
    \numericTimeSignature
    instrumentName = "S"
    shortInstrumentName = "S"
    \consists "Ambitus_engraver"
  } { \ChInfantilS }
  \addlyrics { \ChInfantilSVerse }

  \new Staff \with {
    \accidentalStyle neo-modern
    \numericTimeSignature
    instrumentName = "C"
    shortInstrumentName = "C"
    \consists "Ambitus_engraver"
  } { \ChInfantilC }
  \addlyrics { \ChInfantilCVerse }
>>
% fine coro infantil

% Pianoforte
pianoforte = \new PianoStaff
\with {
  \remove "Keep_alive_together_engraver"
  instrumentName = \markup { \bold "Pianoforte" }
  shortInstrumentName = \markup { \bold "Pf." }
}
<<
  \set PianoStaff.connectArpeggios = ##t
  \new Staff = "RHossia" \with {
    \accidentalStyle neo-modern
    \numericTimeSignature
    \override Clef.stencil = ##f
    \override TimeSignature.stencil = ##f
  } \RHossia
  \new Staff = "RH" \with { \override VerticalAxisGroup.remove-empty = ##f }  \RH
  \new Staff = "LH" \with { \override VerticalAxisGroup.remove-empty = ##f } \LH
  \new Staff = "LHossia"  \with {
    \accidentalStyle neo-modern
    \numericTimeSignature
    \clef "bass"
    \override Clef.stencil = ##f
    \override TimeSignature.stencil = ##f
  } \LHossia
>>
%fine Pianoforte

tempiAbrecartas = \new Dynamics {\tempoMarks }

\score {
  <<
    \CoroInfantil
    \tempiAbrecartas
    \pianoforte
  >>
}

