%%%%%%%%Tremolos between two whole notes
tweakWholeNoteTremolo =
#(define-music-function (parser location y¹off-y²off)(pair?)
   #{
     \once \override Beam #'gap = #1.3
     \once \override Beam #'extra-offset = #(cons  0  (car y¹off-y²off))
     \once \override Beam #'stencil =
     #(lambda (grob)
        (let* ((pos (ly:grob-property grob 'positions)))
          (ly:grob-set-property! grob 'positions
            (cons (car pos)  (+ (cdr pos) (cdr y¹off-y²off))))
          (ly:beam::print grob)))
   #})
%%%%%%%%Tremolos between two whole notes

% dinamiche ad hoc

moltoF = \markup { molto \dynamic f }

Psubito =_\markup {\dynamic p \italic subito }

roundF = \markup {
  \center-align \concat {
    \bold { \italic ( }
    \dynamic f \bold { \italic ) }
  }
}

ffRoundSf = \markup {
  \center-align \concat {
    \dynamic ff \normal-text
    \bold { \italic ( }
    \dynamic sf \normal-text \bold { \italic ) }
  }
}

ffRoundSfD = \markup {
  \center-align \concat {
    \dynamic ff \normal-text
    \bold { \italic ( }
    \dynamic sf  \normal-text \bold { \italic ) }
  }
}

fRoundSf = \markup {
  \center-align \concat {
    \dynamic f \normal-text
    \bold { \italic ( }
    \dynamic sf \normal-text \bold { \italic ) }
  }
}

pLeggeroInTempo = \markup {
  \left-align \concat { \dynamic p \hspace #.5 \normal-text \italic "leggero, in tempo" }
}

ffSub = \markup {
  \left-align \concat {\dynamic ff \hspace #.5 \normal-text \italic "sub." }
}

pSub = \markup {
  \left-align \concat {\dynamic p \hspace #.5 \normal-text \italic "sub." }
}

mpStacc = \markup {
  \left-align \concat {\dynamic mp \hspace #.5 \normal-text \italic "staccato" }
}

mfMarcato = \markup {
  \left-align \concat {\dynamic mf \hspace #.5 \normal-text \italic "marcato" }
}

sfNonLeg = \markup { \left-align sf \normal-text \italic "non legato" }
sfNonLegDyn = #(make-dynamic-script sfNonLeg)
ffRoundSfDyn = #(make-dynamic-script ffRoundSfD)
fRoundSfDyn = #(make-dynamic-script fRoundSf)
pLeggeroInTempoDyn = #(make-dynamic-script pLeggeroInTempo)
ffSubDyn = #(make-dynamic-script ffSub)
pSubDyn = #(make-dynamic-script pSub)
mpStaccDyn = #(make-dynamic-script mpStacc)
mfMarcatoDyn = #(make-dynamic-script mfMarcato)

%%%%%%%%Glissando skip
glissandoSkipOn = {
  \override NoteColumn.glissando-skip = ##t
  \hide NoteHead
  \override NoteHead.no-ledgers = ##t
}
glissandoSkipOff = {
  \revert NoteColumn.glissando-skip
  \undo \hide NoteHead
  \revert NoteHead.no-ledgers
}
%%%%%%%%Glissando skip

%hide stem and revert
stemOff = \hide Staff.Stem
stemOn  = \undo \stemOff


%%%%% A better slash snippet %%%

% The argument `ang' is the amount of slant, expressed in degrees.
%
% Stem-fraction is the distance between the point the slash crosses the stem
% and the notehead-end of the stem.  It is expressed as a number between 0 and 1.
%
% The argument `protrusion' is the extra distance the slash
% extends beyond its intersection with stem and beam

slash =
#(define-music-function (parser location ang stem-fraction protrusion)
   (number? number? number?)
   (remove-grace-property 'Voice 'Stem 'direction) ; necessary?
   #{
     \once \override Stem #'stencil =
     #(lambda (grob)
        (let* ((X-parent (ly:grob-parent grob X))
               (is-rest? (ly:grob? (ly:grob-object X-parent 'rest))))
          (if is-rest?
              empty-stencil
              (let* ((ang (degrees->radians ang))
                     ; We need the beam and its slope so that slash will
                     ; extend uniformly past the stem and the beam
                     (beam (ly:grob-object grob 'beam))
                     (beam-X-pos (ly:grob-property beam 'X-positions))
                     (beam-Y-pos (ly:grob-property beam 'positions))
                     (beam-slope (/ (- (cdr beam-Y-pos) (car beam-Y-pos))
                                   (- (cdr beam-X-pos) (car beam-X-pos))))
                     (beam-angle (atan beam-slope))
                     (stem-Y-ext (ly:grob-extent grob grob Y))
                     ; Stem.length is expressed in half staff-spaces
                     (stem-length (/ (ly:grob-property grob 'length) 2.0))
                     (dir (ly:grob-property grob 'direction))
                     ; if stem points up. car represents segment of stem
                     ; closest to notehead; if down, cdr does
                     (stem-ref (if (= dir 1) (car stem-Y-ext) (cdr stem-Y-ext)))
                     (stem-segment (* stem-length stem-fraction))
                     ; Where does slash cross the stem?
                     (slash-stem-Y (+ stem-ref (* dir stem-segment)))
                     ; These are values for the portion of the slash that
                     ; intersects the beamed group.
                     (dx (/ (- stem-length stem-segment)
                           (- (tan ang) (* dir beam-slope))))
                     (dy (* (tan ang) dx))
                     ; Now, we add in the wings
                     (protrusion-dx (* (cos ang) protrusion))
                     (protrusion-dy (* (sin ang) protrusion))
                     (x1 (- protrusion-dx))
                     (y1 (- slash-stem-Y (* dir protrusion-dy)))
                     (x2 (+ dx protrusion-dx))
                     (y2 (+ slash-stem-Y
                           (* dir (+ dy protrusion-dy))))
                     (th (ly:staff-symbol-line-thickness grob))
                     (stil (ly:stem::print grob)))

                (ly:stencil-add
                 stil
                 (make-line-stencil th x1 y1 x2 y2))))))
   #})

slashI = {
  \slash 50 0.6 1.0
}

slashII = {
  \slash 45 0.5 0.8
}

% this snippet is useful to put a hairpin between to markups i.e. parentheses or slash or any other text
hairpinBetweenText =
#(define-music-function (parser location leftText rightText) (markup? markup?)
   #{
     \once \override Hairpin.stencil =
     #(lambda (grob)
        (ly:stencil-combine-at-edge
         (ly:stencil-combine-at-edge
          (ly:stencil-aligned-to (grob-interpret-markup grob leftText) Y CENTER)
          X RIGHT
          (ly:stencil-aligned-to (ly:hairpin::print grob) Y CENTER)
          0)
         X RIGHT
         (ly:stencil-aligned-to (grob-interpret-markup grob rightText) Y CENTER)
         0.6))
   #})

parenthesizedHairpin = \hairpinBetweenText \markup "(" \markup ")"

%%%%%%%%%%%%%%%%